addpath(genpath(strcat(pwd,filesep,'Metrics')));
addpath(genpath(strcat(pwd,filesep,'Dataset')));
param.seed = 200;
param.SOIreq = 9; % Number of SOIs requested
param.problem = 'test';
if strcmp(param.problem,'test')
    param.spacing = 74; % test % To generate reference directions
elseif strcmp(param.problem,'gaa')
    param.spacing = 6; % gaa
elseif strcmp(param.problem,'radar')
    param.spacing = 6; % radar
elseif strcmp(param.problem,'do2dk')
    param.spacing = 99; % do2dk
elseif strcmp(param.problem,'deb2dk')
    param.spacing = 99; % deb2dk
elseif strcmp(param.problem,'deb3dk')
    param.spacing = 23; % deb3dk
elseif strcmp(param.problem,'deb3dk1')
    param.spacing = 23; % deb3dk1
end

load(strcat(pwd,filesep,'Dataset',filesep,param.problem,'_data.mat'));
[remuB,hypdist,emuB,hv,nf] = find_SOI(data,param);
save(strcat(param.problem,'_remuB.mat'),'remuB');
save(strcat(param.problem,'_hyp.mat'),'hypdist');
save(strcat(param.problem,'_emuB.mat'),'emuB');
if nf < 4
    save(strcat(param.problem,'_HV.mat'),'hv');
end
movefile('*.mat',strcat(pwd,filesep,'Results',filesep,param.problem));
movefile('*.fig',strcat(pwd,filesep,'Results',filesep,param.problem));
movefile('*.eps',strcat(pwd,filesep,'Results',filesep,param.problem));
clear all;
clc;
close all;



































